require 'rack/attack'
module HttpThreshold
  class Cache < Rack::Attack::Cache
    attr_accessor :prefix

    def initialize
      self.store = ::Rails.cache if defined?(::Rails.cache)
      @prefix = 'threshold'
    end

    def read_count(unprefixed_key, period)
      key, _ = key_and_expiry(unprefixed_key, period)
      store.read(key).to_i
    end

  end
end
